# TODO: consider moving logs to /var/log/account subdir (following upstream)
Summary:	Process accounting tools
Summary(es.UTF-8):	Herramientas de contabilidad de procesos
Summary(pl.UTF-8):	Program do logowania procesów użytkowników
Summary(pt_BR.UTF-8):	Ferramentas de contabilização de processos
Summary(uk.UTF-8):	Утиліти для моніторингу активності процесів
Summary(ru.UTF-8):	Утилиты для мониторинга активности процессов
Name:		psacct
Version:	6.6.4
Release:	1
License:	GPL v3+
Group:		Applications/System
Source0:	http://ftp.gnu.org/gnu/acct/acct-%{version}.tar.gz
# Source0-md5:	7caf66ed43edd11f3a84b9dbac7ebbe7
Source1:	acct.logrotate
Source2:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source2-md5:	85eb213fc45fad1c7834d239ff8e28a4
Source3:	acct.sysinit
Source4:	acct.sysconfig
Patch0:		acct-info.patch
Patch1:		%{name}-path.patch
URL:		http://www.gnu.org/directory/GNU/acct.html
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	libtool >= 2:2.4
BuildRequires:	texinfo
Requires:	logrotate
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The tools necessary for accounting the activities of processes are
included here.

%description -l es.UTF-8
Están incluidas aquí las herramientas necesarias para contabilizar las
actividades de procesos.

%description -l pl.UTF-8
Narzędzia niezbędne do logowania wszystkich procesów i komend
użytkowników oraz monitorowania systemu.

%description -l pt_BR.UTF-8
As ferramentas necessárias para contabilizar as atividades de
processos estão incluídas aqui.

%description -l uk.UTF-8
Цей пакет містить утиліти для збору та обробки статистики активності процесів.

%description -l ru.UTF-8
Этот пакет содержит утилиты для сбора и обработки статистики активности
процессов.

%prep
%setup -q -n acct-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--enable-linux-multiformat

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d,logrotate.d,sysconfig},/sbin,/var/log}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT{%{_sbindir}/accton,/sbin/accton}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/acct
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/rc.acct
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/acct
bzip2 -dc %{SOURCE2} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

touch $RPM_BUILD_ROOT/var/log/{pacct,usracct,savacct}

# in PLD it's packaged in SysVinit
%{__rm} $RPM_BUILD_ROOT{%{_bindir}/last,%{_mandir}/man1/last.1}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
if [ "$1" = "1" ]; then
	/etc/rc.d/rc.acct stop 1>&2
	echo "Type \"/etc/rc.d/rc.acct start\" to run accounting."
	touch /var/log/{pacct,usracct,savacct}
	chmod 640 /var/log/{pacct,usracct,savacct}
else
	/etc/rc.d/rc.acct reload 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	/etc/rc.d/rc.acct stop 1>&2
fi

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(754,root,root) /etc/rc.d/rc.acct
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/acct
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/acct
%attr(640,root,root) %ghost /var/log/pacct
%attr(640,root,root) %ghost /var/log/usracct
%attr(640,root,root) %ghost /var/log/savacct

%attr(755,root,root) %{_bindir}/ac
%attr(755,root,root) %{_bindir}/lastcomm
%attr(755,root,root) /sbin/accton
%attr(755,root,root) %{_sbindir}/dump-acct
%attr(755,root,root) %{_sbindir}/dump-utmp
%attr(755,root,root) %{_sbindir}/sa

%{_mandir}/man1/ac.1*
%{_mandir}/man1/lastcomm.1*
%{_mandir}/man8/dump-acct.8*
%{_mandir}/man8/dump-utmp.8*
%{_mandir}/man8/sa.8*
%{_mandir}/man8/accton.8*
%lang(fi) %{_mandir}/fi/man1/ac.1*
%lang(fi) %{_mandir}/fi/man1/lastcomm.1*
%lang(fr) %{_mandir}/fr/man8/accton.8*
%lang(pl) %{_mandir}/pl/man1/ac.1*

%{_infodir}/accounting.info*
%changelog
* Wed May 27 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/psacct.git;a=log;h=master

* Wed May 27 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 218f9b4
- up to 6.6.4

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> c3ecb83
- fix buildinf docs with texinfo 5
- rel 2

* Wed Mar 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 251d3f0
- updated to 6.6.1
- updated info,path patches
- removed obsolete build patch

* Sat Feb 16 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 34c5264
- build fixed

* Sat Jan 29 2011 Jakub Bogusz <qboosh@pld-linux.org> b71b889
- updated sysinit script ("off" argument is now required explicitly)
- release 2

* Sat Jan 29 2011 Jakub Bogusz <qboosh@pld-linux.org> e82513e
- accton now requires argument ("off" to turn off accounting)

* Sat Jan 29 2011 Jakub Bogusz <qboosh@pld-linux.org> 1ca36ae
- updated info patch is back (unify direntry)
- ac,lt versions, missing libtoolize call

* Sat Jan 29 2011 Jakub Bogusz <qboosh@pld-linux.org> f5df72c
- added AUTHORS and TODO to docs
- package dump-utmp
- clean last files (packaged in SysVinit)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> ffb8208
- dropped pre-cvs changelog

* Fri Jan 28 2011 Jan Rękorajski <baggins@pld-linux.org> 6e0508e
- 6.5.5 from gnu.org
- removed obsolete patches

* Fri Jan 28 2011 Jan Rękorajski <baggins@pld-linux.org> f61acda
- outdated

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> af17de2
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fa72449
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c6cd388
- converted to UTF-8

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> c7f8613
- adapterized (sorted %verify flags)

* Wed Aug 18 2004 undefine <undefine@pld-linux.org> a8b47c5
- release 11

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 938f17a
- mass commit: cosmetics (removed trailing white spaces)

* Tue Aug 12 2003 Jakub Bogusz <qboosh@pld-linux.org> af4d8f7
- some changes to fix the "where is my disk space???!!!" issue:
  - separated sysinit script to be called from rc.sysinit/rc.shutdown/logrotate
  - made it configurable through /etc/sysconfig/acct
  - use it in postrotate script in logrotate file
- release 10

* Mon Jun 02 2003 ankry <ankry@pld-linux.org> 3116d5b
- added/restored non-english-man-pages URL

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 5b88bc6
- massive attack: source-md5

